異なる場所にポートを接続
異なるIBXデータセンターに配置されたIT資産間を低レイテンシーで直接接続します。

前提条件
-
認証-ユーザー認証情報、クライアントID、クライアントシークレットを送信してOauth2認証を行います。認証情報を検証および認証するためにOAuth APIを呼び出す方法については、「API認証」を参照してください。
2 つの DOT1Q ポート間に冗長性のない接続を作成する
2つのDot1Qポート間に非冗長接続を作成するには、エンドポイントにリクエストを/fabric/v4/connections送信します。POSTリクエストの本文で接続の構成の詳細を指定します。
POST /fabric/v4/connections | |
|---|---|
| 方法 | POST |
| エンドポイント | /fabric/v4/connections |
| ヘッダー | Authorization、Content-Type |
| パスパラメータ | 該当なし |
| クエリーパラメータ | 該当なし |
| ボディパラメータ | type``name、、order、、bandwidth、aSide``zSide、project、notifications |
接続を作成せずに本番環境でこのリクエストを安全に検証するには、「本番環境でのテスト(APIドライラン)」を参照してください。
cURLリクエストのサンプル:
curl -X
POST 'https://api.equinix.com/fabric/v4/connections'
-H 'content-type: application/json'
-H 'authorization: Bearer <token>'
-d '{
"type": "EVPL_VC",
"name": "Conn-1",
"order": {
"purchaseOrderNumber": "1-129105284100"
},
"geoScope": "CONUS",
"bandwidth": 1000,
"aSide": {
"accessPoint": {
"type": "COLO",
"port": {
"uuid": "a867f685-41b0-1b07-6de0-320a5c00abdd"
},
"linkProtocol": {
"type": "DOT1Q",
"vlanTag": 1001
}
}
},
"zSide": {
"accessPoint": {
"type": "COLO",
"port": {
"uuid": "20d32a80-0d61-4333-bc03-707b591ae2f4"
},
"linkProtocol": {
"type": "DOT1Q",
"vlanTag": 1001
}
}
},
"notifications": [
{
"type": "ALL",
"emails": [
"test@equinix.com",
"test@equinix.com"
]
}
]
}'
DOT1QポートからQINQポートへの非冗長接続の作成
Dot1QポートからQinQポートへの非冗長接続を作成するには、エンドポイントにリクエストを/fabric/v4/connections送信します。POSTリクエストの本文で接続の構成の詳細を指定します。
cURLリクエストのサンプル:
curl -X
POST 'https://api.equinix.com/fabric/v4/connections'
-H 'content-type: application/json'
-H 'authorization: Bearer <token>'
-d '{
"type": "EVPL_VC",
"name": "Conn-1",
"order": {
"purchaseOrderNumber": "1-129105284100"
},
"geoScope": "CONUS",
"bandwidth": 1000,
"aSide": {
"accessPoint": {
"type": "COLO",
"port": {
"uuid": "a867f685-41b0-1b07-6de0-320a5c00abdd"
},
"linkProtocol": {
"type": "DOT1Q",
"vlanTag": 1001
}
}
},
"zSide": {
"accessPoint": {
"type": "COLO",
"port": {
"uuid": "20d32a80-0d61-4333-bc03-707b591ae2f4"
},
"linkProtocol": {
"type": "QINQ",
"vlanSTag": 2001,
"vlanCTag": 2002,
}
}
},
"notifications": [
{
"type": "ALL",
"emails": [
"test@equinix.com",
"test@equinix.com"
]
}
]
}'
リクエスト本文に含まれるパラメータは、この例に固有のものです。パラメータの完全なリストとその説明については、APIリファレンスを参照してください。
回答例
{
"href": "https://api.equinix.com/fabric/v4/connections/3a58dd05-f46d-4b1d-a154-2e85c396ea62",
"type": "EVPL_VC",
"uuid": "3a58dd05-f46d-4b1d-a154-2e85c396ea62",
"name": "Conn-1",
"state": "PENDING_AUTO_APPROVAL",
"order": {
"purchaseOrderNumber": "1-129105284100",
"billingTier": "Up to 1 Gbps"
},
"bandwidth": 1000,
"aSide": {
"accessPoint" {
"type": "COLO",
"port": {
"href": "https://api.equinix.com/fabric/v4/ports/a867f685-41b0-1b07-6de0-320a5c00abdd",
"type": "XF_PORT",
"uuid": "a867f685-41b0-1b07-6de0-320a5c00abdd"
},
"linkProtocol": {
"type": "DOT1Q",
"vlanTag": 1001
}
}
},
"zSide": {
"accessPoint": {
"type": "COLO",
"port": {
"href": "https://api.equinix.com/fabric/v4/ports/a867f685-41b0-1b07-6de0-320a5c00abdd",
"type": "XF_PORT",
"uuid": "20d32a80-0d61-4333-bc03-707b591ae2f4"
},
"linkProtocol": {
"type": "QINQ",
"vlanSTag": 2001,
"vlanCTag": 2002,
}
}
},
"notifications": [
{
"type": "ALL",
"emails": [
"test@equinix.com",
"test@equinix.com"
]
}
],
"operation": {
"equinixStatus": "PROVISIONING",
"providerStatus": "NOT_AVAILABLE"
},
"changeLog": {
"createdDateTime": "2021-07-15T19:30:29.526Z"
}
}
応答ペイロードには、リクエスト本文で定義された構成パラメータが含まれます。使用可能なパラメータの全リストとその説明については、APIリファレンスを参照してください。
QINQ ポートから DOT1Q ポートへの非冗長接続の作成
QinQポートからDot1Qポートへの非冗長接続を作成するには、エンドポイントにリクエストを/fabric/v4/connections送信します。POSTリクエストの本文で接続の構成の詳細を指定します。
cURLリクエストのサンプル:
curl -X
POST 'https://api.equinix.com/fabric/v4/connections'
-H 'content-type: application/json'
-H 'authorization: Bearer <token>'
-d '{
"type": "EVPL_VC",
"name": "Conn-1",
"order": {
"purchaseOrderNumber": "1-129105284100"
},
"geoScope": "CONUS",
"bandwidth": 1000,
"aSide": {
"accessPoint": {
"type": "COLO",
"port": {
"uuid": "a867f685-41b0-1b07-6de0-320a5c00abdd"
},
"linkProtocol": {
"type": "QINQ",
"vlanSTag": 1001,
"vlanCTag": 1002
}
}
},
"zSide": {
"accessPoint": {
"type": "COLO",
"port": {
"uuid": "20d32a80-0d61-4333-bc03-707b591ae2f4"
},
"linkProtocol": {
"type": "DOT1Q",
"vlanTag": 1001
}
}
},
"notifications": [
{
"type": "ALL",
"emails": [
"test@equinix.com",
"test@equinix.com"
]
}
]
}'
リクエスト本文に含まれるパラメータは、この例に固有のものです。パラメータの完全なリストとその説明については、APIリファレンスを参照してください。
2 つの QINQ ポート間に冗長性のない接続を作成する
2つのQinQポート間に非冗長接続を作成するには、エンドポイントにリクエストを/fabric/v4/connections送信します。POSTリクエストの本文で接続の構成の詳細を指定します。
cURLリクエストのサンプル:
curl -X
POST 'https://api.equinix.com/fabric/v4/connections'
-H 'content-type: application/json'
-H 'authorization: Bearer <token>'
-d '{
"type": "EVPL_VC",
"name": "Conn-1",
"order": {
"purchaseOrderNumber": "1-129105284100"
},
"geoScope": "CONUS",
"bandwidth": 1000,
"aSide": {
"accessPoint": {
"type": "COLO",
"port": {
"uuid": "a867f685-41b0-1b07-6de0-320a5c00abdd"
},
"linkProtocol": {
"type": "QINQ",
"vlanSTag": 1001,
"vlanCTag": 1002
}
}
},
"zSide": {
"accessPoint": {
"type": "COLO",
"port": {
"uuid": "20d32a80-0d61-4333-bc03-707b591ae2f4"
},
"linkProtocol": {
"type": "QINQ",
"vlanSTag": 2001,
"vlanCTag": 2002,
}
}
},
"notifications": [
{
"type": "ALL",
"emails": [
"test@equinix.com",
"test@equinix.com"
]
}
]
}'
リクエスト本文に含まれるパラメータは、この例に固有のものです。パラメータの完全なリストとその説明については、APIリファレンスを参照してください。
接続の監視
指定された接続の取得エンドポイントを使用して、接続ステータスを監視します。
**equinixStatus**パラメータ値 | **providerStatus**属性値 | 説明 |
|---|---|---|
PENDING_AUTO_APPROVAL | NOT_AVAILABLE | 自動承認のために接続リクエストが送信されました。接続は同じ組織内(AサイドとZサイド)にあるため、接続は自動承認の対象になります。 |
PROVISIONING | NOT_AVAILABLE | 接続確立中。 |
PROVISIONED | AVAILABLE | 接続が確立されました。 |
